QXmlInputSource(3qt)

NAME
QXmlInputSource - The source where XML data is read from

#include <qxml.h>

  Public Members
QXmlInputSource ()
QXmlInputSource ( QTextStream & stream )
QXmlInputSource ( QFile & file )
virtual ~QXmlInputSource ()
virtual const QString& data () const
virtual void setData ( const QString & d )

DESCRIPTION
The QXmlInputSource class is the source where XML data is read from.

All subclasses of QXmlReader read the input from this class.

Examples: xml/tagreader/tagreader.cpp xml/tagreader

MEMBER FUNCTION DOCUMENTATION

QXmlInputSource::QXmlInputSource ()
Constructs a input source which contains no data.

QXmlInputSource::QXmlInputSource ( QFile & file )
Constructs a input source and get the data from a file. If the file cannot be read the input source is empty.

QXmlInputSource::QXmlInputSource ( QTextStream & stream )
Constructs a input source and get the data from the text stream.

QXmlInputSource::~QXmlInputSource () [virtual]
Destructor.

const QString& QXmlInputSource::data () const [virtual]
Returns all the data this input source contains.

void QXmlInputSource::setData ( const QString & dat ) [virtual]
Sets the data of the input source to dat.

SEE ALSO
http://doc.trolltech.com/qxmlinputsource.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxmlinputsource.3qt) and the Qt version (2.3.7).